-- phpMyAdmin SQL Dump
-- version 3.3.4
-- http://www.phpmyadmin.net
--
-- ホスト: localhost
-- 生成時間: 2011 年 3 月 24 日 11:59
-- サーバのバージョン: 5.0.91
-- PHP のバージョン: 5.3.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- データベース: `cms_14x`
--

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_alias`
--

CREATE TABLE IF NOT EXISTS `acms_alias` (
  `alias_id` int(11) NOT NULL COMMENT 'エイリアスID',
  `alias_status` varchar(16) NOT NULL COMMENT 'ステータス (open|close)',
  `alias_sort` int(11) NOT NULL COMMENT '並び順',
  `alias_domain` varchar(128) NOT NULL COMMENT 'ドメイン',
  `alias_code` varchar(255) NOT NULL COMMENT 'フォルダ名',
  `alias_name` varchar(255) NOT NULL COMMENT '名前',
  `alias_description` varchar(255) NOT NULL COMMENT '説明',
  `alias_indexing` varchar(8) NOT NULL default 'on' COMMENT 'インデキシング',
  `alias_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`alias_id`),
  KEY `alias_domain` (`alias_domain`),
  KEY `alias_code` (`alias_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_blog`
--

CREATE TABLE IF NOT EXISTS `acms_blog` (
  `blog_id` int(11) NOT NULL COMMENT 'ブログID',
  `blog_code` varchar(255) NOT NULL COMMENT 'ブログコード',
  `blog_status` varchar(16) NOT NULL default 'open',
  `blog_parent` int(11) NOT NULL default '0' COMMENT '親のブログID',
  `blog_sort` int(11) NOT NULL COMMENT 'ブログの表示順',
  `blog_left` int(11) NOT NULL COMMENT 'ブログの階層構造',
  `blog_right` int(11) NOT NULL COMMENT 'ブログの階層構造',
  `blog_name` varchar(255) NOT NULL COMMENT 'ブログの名前',
  `blog_domain` varchar(128) NOT NULL COMMENT 'ドメイン',
  `blog_indexing` varchar(8) NOT NULL default 'on' COMMENT 'インデキシング',
  `blog_generated_datetime` datetime NOT NULL default '1000-01-01 00:00:00' COMMENT 'ブログ生成日時',
  `blog_alias_status` varchar(8) NOT NULL default 'open' COMMENT 'ステータス (open|close|secret)',
  `blog_alias_sort` int(11) NOT NULL default '1' COMMENT 'エイリアスとしての並び順',
  `blog_alias_primary` int(11) default NULL COMMENT '主エイリアス',
  PRIMARY KEY  (`blog_id`,`blog_left`,`blog_right`,`blog_status`,`blog_indexing`),
  KEY `blog_domain` (`blog_domain`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_cache`
--

CREATE TABLE IF NOT EXISTS `acms_cache` (
  `cache_id` char(32) NOT NULL COMMENT 'キャッシュID',
  `cache_mime` varchar(128) NOT NULL default 'text/html' COMMENT 'MIMEタイプ',
  `cache_charset` varchar(64) NOT NULL default 'UTF-8' COMMENT '文字コード',
  `cache_http_status_code` varchar(255) NOT NULL COMMENT 'HTTPステータスコード',
  `cache_data` longblob NOT NULL COMMENT 'データ',
  `cache_expire` datetime NOT NULL default '1000-01-01 00:00:00' COMMENT 'キャッシュ有効期限',
  `cache_status` varchar(16) NOT NULL COMMENT 'ステータス (generated|regenerated|generating)',
  `cache_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`cache_id`),
  KEY `cache_status` (`cache_blog_id`,`cache_expire`,`cache_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_category`
--

CREATE TABLE IF NOT EXISTS `acms_category` (
  `category_id` int(11) NOT NULL COMMENT 'カテゴリーID',
  `category_code` varchar(255) NOT NULL COMMENT 'カテゴリーコード',
  `category_status` varchar(16) NOT NULL default 'open' COMMENT 'ステータス (open|close)',
  `category_parent` int(11) NOT NULL default '0' COMMENT '親のカテゴリーID',
  `category_sort` int(11) NOT NULL COMMENT 'カテゴリーの表示順',
  `category_left` int(11) NOT NULL COMMENT 'カテゴリーの階層構造',
  `category_right` int(11) NOT NULL COMMENT 'カテゴリーの階層構造',
  `category_name` varchar(255) NOT NULL COMMENT 'カテゴリーの名前',
  `category_scope` varchar(8) NOT NULL default 'local' COMMENT '有効範囲 (global|local)',
  `category_indexing` varchar(8) NOT NULL default 'on' COMMENT 'インデキシング',
  `category_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`category_id`,`category_left`,`category_right`,`category_status`,`category_indexing`),
  KEY `category_code` (`category_code`,`category_left`,`category_right`),
  KEY `category_id` (`category_id`,`category_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_column`
--

CREATE TABLE IF NOT EXISTS `acms_column` (
  `column_id` int(11) NOT NULL COMMENT 'カラムID',
  `column_sort` int(11) NOT NULL COMMENT 'ユニットの表示順',
  `column_align` varchar(8) NOT NULL COMMENT 'ユニットの位置',
  `column_type` varchar(8) NOT NULL COMMENT 'ユニットの種類（text|image|file|map|eximage|youtube|break）',
  `column_attr` varchar(64) NOT NULL COMMENT 'ユニットの属性',
  `column_group` varchar(64) NOT NULL COMMENT 'ユニットグループ',
  `column_size` varchar(16) NOT NULL COMMENT '画像ユニット等のサイズ',
  `column_field_1` longtext NOT NULL COMMENT 'ユニットフィールド１',
  `column_field_2` varchar(255) NOT NULL COMMENT 'ユニットフィールド２',
  `column_field_3` varchar(255) NOT NULL COMMENT 'ユニットフィールド３',
  `column_field_4` varchar(255) NOT NULL COMMENT 'ユニットフィールド４',
  `column_field_5` varchar(255) NOT NULL COMMENT 'ユニットフィールド５',
  `column_entry_id` int(11) NOT NULL COMMENT 'エントリーID',
  `column_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`column_id`),
  KEY `entry_sort` (`column_entry_id`,`column_sort`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_comment`
--

CREATE TABLE IF NOT EXISTS `acms_comment` (
  `comment_id` int(11) NOT NULL COMMENT 'コメントID',
  `comment_status` varchar(16) NOT NULL COMMENT 'コメントステータス（open|close|awaiting）',
  `comment_parent` int(11) NOT NULL default '0' COMMENT '親のコメントID',
  `comment_left` int(11) NOT NULL COMMENT 'コメントの階層構造',
  `comment_right` int(11) NOT NULL COMMENT 'コメントの階層構造',
  `comment_title` varchar(255) NOT NULL COMMENT 'コメントのタイトル',
  `comment_body` longtext NOT NULL COMMENT 'コメントの内容',
  `comment_name` varchar(255) NOT NULL COMMENT 'コメントした人の名前',
  `comment_mail` varchar(255) NOT NULL COMMENT 'コメントした人のメールアドレス',
  `comment_url` varchar(255) NOT NULL COMMENT 'コメントした人の名前',
  `comment_pass` varchar(32) NOT NULL COMMENT 'コメントした人のパスワード',
  `comment_datetime` datetime NOT NULL default '1000-01-01 00:00:00' COMMENT 'コメントした人の時間',
  `comment_host` varchar(255) NOT NULL COMMENT 'コメントした人のIP',
  `comment_rank` int(11) NOT NULL,
  `comment_entry_id` int(11) NOT NULL COMMENT 'エントリーID',
  `comment_user_id` int(11) NOT NULL COMMENT 'ユーザーID',
  `comment_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`comment_entry_id`,`comment_id`,`comment_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_config`
--

CREATE TABLE IF NOT EXISTS `acms_config` (
  `config_key` varchar(255) NOT NULL COMMENT '設定キー',
  `config_value` longtext NOT NULL COMMENT '設定内容',
  `config_sort` int(11) NOT NULL COMMENT '並び順',
  `config_rule_id` int(11) default NULL COMMENT 'ルールID',
  `config_module_id` int(11) default NULL COMMENT 'モジュールID',
  `config_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  KEY `config_blog_id` (`config_blog_id`,`config_sort`,`config_rule_id`,`config_module_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_dashboard`
--

CREATE TABLE IF NOT EXISTS `acms_dashboard` (
  `dashboard_key` varchar(255) NOT NULL COMMENT 'キー',
  `dashboard_value` longtext NOT NULL COMMENT '値',
  `dashboard_sort` int(11) NOT NULL COMMENT '並び順',
  `dashboard_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  KEY `dashboard_key` (`dashboard_key`,`dashboard_blog_id`),
  KEY `dashboard_sort` (`dashboard_sort`,`dashboard_blog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_entry`
--

CREATE TABLE IF NOT EXISTS `acms_entry` (
  `entry_id` int(11) NOT NULL COMMENT 'エントリーID',
  `entry_code` varchar(64) NOT NULL COMMENT 'エントリーコード',
  `entry_status` varchar(16) NOT NULL default 'open' COMMENT 'ステータス (open|close|draft)',
  `entry_sort` int(11) NOT NULL COMMENT '無指定時の並び順',
  `entry_user_sort` int(11) NOT NULL COMMENT 'ユーザー指定時の並び順',
  `entry_category_sort` int(11) NOT NULL COMMENT 'カテゴリー指定時の並び順',
  `entry_title` varchar(255) NOT NULL COMMENT 'エントリータイトル',
  `entry_link` varchar(255) NOT NULL COMMENT '手動リンク先指定',
  `entry_datetime` datetime NOT NULL default '1000-01-01 00:00:00' COMMENT 'エントリーの日時',
  `entry_start_datetime` datetime NOT NULL default '1000-01-01 00:00:00' COMMENT 'エントリーの公開日時',
  `entry_end_datetime` datetime NOT NULL default '9999-12-31 23:59:59' COMMENT 'エントリーの掲載期限日時',
  `entry_posted_datetime` datetime NOT NULL default '9999-12-31 23:59:59' COMMENT 'エントリーを新規記事作成した日時',
  `entry_updated_datetime` datetime NOT NULL default '9999-12-31 23:59:59' COMMENT 'エントリーを更新した日時',
  `entry_summary_range` int(11) default NULL COMMENT 'エントリーの要約',
  `entry_indexing` varchar(8) NOT NULL default 'on' COMMENT 'インデキシング',
  `entry_primary_image` int(11) default NULL COMMENT '主画像',
  `entry_hash` char(32) NOT NULL,
  `entry_category_id` int(11) default NULL COMMENT 'カテゴリーID',
  `entry_user_id` int(11) NOT NULL COMMENT 'ユーザーID',
  `entry_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`entry_id`,`entry_start_datetime`,`entry_end_datetime`,`entry_status`),
  UNIQUE KEY `entry_datetime` (`entry_datetime`,`entry_id`),
  UNIQUE KEY `entry_posted_datetime` (`entry_posted_datetime`,`entry_id`),
  UNIQUE KEY `entry_category_id` (`entry_category_id`,`entry_id`),
  KEY `entry_user_id` (`entry_user_id`),
  KEY `entry_count` (`entry_blog_id`,`entry_datetime`,`entry_start_datetime`,`entry_end_datetime`,`entry_status`,`entry_indexing`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_field`
--

CREATE TABLE IF NOT EXISTS `acms_field` (
  `field_key` varchar(255) NOT NULL,
  `field_value` longtext,
  `field_sort` int(11) NOT NULL,
  `field_search` varchar(8) NOT NULL default 'on',
  `field_eid` int(11) default NULL,
  `field_cid` int(11) default NULL,
  `field_uid` int(11) default NULL,
  `field_bid` int(11) default NULL,
  `field_blog_id` int(11) NOT NULL default '0',
  KEY `field_cid` (`field_cid`),
  KEY `field_uid` (`field_uid`),
  KEY `field_bid` (`field_bid`),
  KEY `field_eid` (`field_eid`,`field_key`,`field_search`),
  KEY `field_key` (`field_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_form`
--

CREATE TABLE IF NOT EXISTS `acms_form` (
  `form_id` int(11) NOT NULL,
  `form_code` varchar(64) NOT NULL,
  `form_name` varchar(255) NOT NULL,
  `form_data` longtext NOT NULL,
  `form_blog_id` int(11) NOT NULL,
  PRIMARY KEY  (`form_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_fulltext`
--

CREATE TABLE IF NOT EXISTS `acms_fulltext` (
  `fulltext_value` longtext NOT NULL COMMENT 'フルテキストの内容',
  `fulltext_ngram` longtext NOT NULL COMMENT '検索用インデックス',
  `fulltext_eid` int(11) default NULL COMMENT 'ユーザ指定エントリーID',
  `fulltext_cid` int(11) default NULL COMMENT 'ユーザ指定カテゴリーID',
  `fulltext_uid` int(11) default NULL COMMENT 'ユーザ指定ユーザーID',
  `fulltext_bid` int(11) default NULL COMMENT 'ユーザ指定ブログID',
  `fulltext_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  UNIQUE KEY `fulltext_cid` (`fulltext_cid`),
  UNIQUE KEY `fulltext_uid` (`fulltext_uid`),
  UNIQUE KEY `fulltext_bid` (`fulltext_bid`),
  UNIQUE KEY `fulltext_eid` (`fulltext_eid`),
  FULLTEXT KEY `fulltext_value` (`fulltext_value`),
  FULLTEXT KEY `fulltext_ngram` (`fulltext_ngram`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_log_access`
--

CREATE TABLE IF NOT EXISTS `acms_log_access` (
  `log_access_datetime` datetime NOT NULL,
  `log_access_url` varchar(255) NOT NULL,
  `log_access_ua` varchar(255) NOT NULL,
  `log_access_addr` varchar(40) NOT NULL,
  `log_access_referer` varchar(255) NOT NULL,
  `log_access_method` varchar(4) NOT NULL,
  `log_access_lang` varchar(16) NOT NULL,
  `log_access_http_status_code` varchar(255) NOT NULL,
  `log_access_publishing` varchar(16) NOT NULL,
  `log_access_res_time` double NOT NULL,
  `log_access_sql_time` double NOT NULL,
  `log_access_acms_post` varchar(255) NOT NULL,
  `log_access_acms_post_valid` varchar(8) NOT NULL,
  `log_access_session_uid` int(11) NOT NULL,
  `log_access_entry_id` int(11) default NULL,
  `log_access_category_id` int(11) default NULL,
  `log_access_user_id` int(11) default NULL,
  `log_access_rule_id` int(11) default NULL,
  `log_access_blog_id` int(11) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_log_form`
--

CREATE TABLE IF NOT EXISTS `acms_log_form` (
  `log_form_datetime` datetime NOT NULL default '1000-01-01 00:00:00',
  `log_form_remote_addr` varchar(40) NOT NULL,
  `log_form_user_agent` varchar(255) NOT NULL,
  `log_form_mail_to` varchar(255) NOT NULL,
  `log_form_mail_subject` varchar(255) NOT NULL,
  `log_form_mail_body` longtext NOT NULL,
  `log_form_data` longtext NOT NULL,
  `log_form_form_id` int(11) NOT NULL,
  `log_form_blog_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_moblog`
--

CREATE TABLE IF NOT EXISTS `acms_moblog` (
  `moblog_id` int(11) NOT NULL,
  `moblog_status` varchar(8) NOT NULL,
  `moblog_mail` varchar(255) NOT NULL,
  `moblog_user` varchar(64) NOT NULL,
  `moblog_pass` varchar(32) NOT NULL,
  `moblog_server` varchar(128) NOT NULL,
  `moblog_allowed_mail` longtext NOT NULL,
  `moblog_entry_status` varchar(8) NOT NULL,
  `moblog_image_size` varchar(16) NOT NULL,
  `moblog_image_align` varchar(8) NOT NULL,
  `moblog_text_unit` varchar(16) NOT NULL,
  `moblog_category_id` int(11) default NULL,
  `moblog_user_id` int(11) NOT NULL,
  `moblog_blog_id` int(11) NOT NULL,
  PRIMARY KEY  (`moblog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_module`
--

CREATE TABLE IF NOT EXISTS `acms_module` (
  `module_id` int(11) NOT NULL,
  `module_identifier` varchar(64) NOT NULL,
  `module_name` varchar(64) NOT NULL,
  `module_label` varchar(255) NOT NULL,
  `module_description` varchar(255) NOT NULL,
  `module_status` varchar(8) NOT NULL default 'open',
  `module_scope` varchar(8) NOT NULL default 'local',
  `module_bid` varchar(32) default NULL,
  `module_bid_axis` varchar(32) NOT NULL default 'self',
  `module_uid` varchar(32) default NULL,
  `module_uid_scope` varchar(8) NOT NULL default 'local',
  `module_cid` varchar(32) default NULL,
  `module_cid_scope` varchar(8) NOT NULL default 'local',
  `module_cid_axis` varchar(32) NOT NULL default 'self',
  `module_eid` varchar(32) default NULL,
  `module_eid_scope` varchar(8) NOT NULL default 'local',
  `module_keyword` varchar(255) default NULL,
  `module_keyword_scope` varchar(8) NOT NULL default 'local',
  `module_tag` varchar(255) default NULL,
  `module_tag_scope` varchar(8) NOT NULL default 'local',
  `module_field` varchar(255) default NULL,
  `module_field_scope` varchar(8) NOT NULL default 'local',
  `module_start` varchar(255) default NULL,
  `module_start_scope` varchar(8) NOT NULL default 'local',
  `module_end` varchar(255) default NULL,
  `module_end_scope` varchar(8) NOT NULL default 'local',
  `module_page` varchar(32) default NULL,
  `module_page_scope` varchar(8) NOT NULL default 'local',
  `module_order` varchar(255) default NULL,
  `module_order_scope` varchar(8) NOT NULL default 'local',
  `module_blog_id` int(11) NOT NULL,
  PRIMARY KEY  (`module_identifier`,`module_name`,`module_blog_id`,`module_scope`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_rule`
--

CREATE TABLE IF NOT EXISTS `acms_rule` (
  `rule_id` int(11) NOT NULL,
  `rule_name` varchar(64) NOT NULL,
  `rule_sort` int(11) NOT NULL,
  `rule_status` varchar(8) NOT NULL,
  `rule_description` varchar(255) NOT NULL,
  `rule_aid` int(11) default NULL,
  `rule_aid_case` varchar(16) default NULL,
  `rule_uid` int(11) default NULL,
  `rule_uid_case` varchar(16) default NULL,
  `rule_cid` int(11) default NULL,
  `rule_cid_case` varchar(16) default NULL,
  `rule_eid` int(11) default NULL,
  `rule_eid_case` varchar(16) default NULL,
  `rule_ucd` varchar(255) default NULL,
  `rule_ucd_case` varchar(32) default NULL,
  `rule_ccd` varchar(255) default NULL,
  `rule_ccd_case` varchar(32) default NULL,
  `rule_ecd` varchar(255) default NULL,
  `rule_ecd_case` varchar(32) default NULL,
  `rule_ua` varchar(32) default NULL,
  `rule_ua_case` varchar(16) default NULL,
  `rule_blog_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_schedule`
--

CREATE TABLE IF NOT EXISTS `acms_schedule` (
  `schedule_id` int(11) NOT NULL,
  `schedule_name` varchar(255) NOT NULL,
  `schedule_desc` varchar(255) default NULL,
  `schedule_year` char(4) NOT NULL,
  `schedule_month` char(2) NOT NULL,
  `schedule_data` longtext NOT NULL,
  `schedule_field` longtext NOT NULL,
  `schedule_blog_id` int(11) NOT NULL,
  KEY `schedule_id` (`schedule_id`,`schedule_year`,`schedule_month`,`schedule_blog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_sequence`
--

CREATE TABLE IF NOT EXISTS `acms_sequence` (
  `sequence_blog_id` int(11) NOT NULL,
  `sequence_alias_id` int(11) NOT NULL,
  `sequence_user_id` int(11) NOT NULL,
  `sequence_category_id` int(11) NOT NULL,
  `sequence_entry_id` int(11) NOT NULL,
  `sequence_column_id` int(11) NOT NULL,
  `sequence_comment_id` int(11) NOT NULL,
  `sequence_trackback_id` int(11) NOT NULL,
  `sequence_rule_id` int(11) NOT NULL,
  `sequence_module_id` int(11) NOT NULL,
  `sequence_form_id` int(11) NOT NULL,
  `sequence_moblog_id` int(11) NOT NULL,
  `sequence_system_version` varchar(32) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_session`
--

CREATE TABLE IF NOT EXISTS `acms_session` (
  `session_id` char(32) NOT NULL,
  `session_next_id` char(32) NOT NULL,
  `session_expire` datetime default NULL,
  `session_data` longtext NOT NULL,
  `session_unique_ua` char(32) NOT NULL,
  `session_cookie` varchar(8) NOT NULL,
  `session_left` int(11) NOT NULL,
  `session_right` int(11) NOT NULL,
  `session_user_id` int(11) NOT NULL,
  `session_blog_id` int(11) NOT NULL,
  PRIMARY KEY  (`session_id`),
  UNIQUE KEY `session_next_id` (`session_next_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_shop_address`
--

CREATE TABLE IF NOT EXISTS `acms_shop_address` (
  `address_id` int(11) NOT NULL,
  `address_primary` varchar(8) NOT NULL,
  `address_name` varchar(64) NOT NULL,
  `address_ruby` varchar(64) default NULL,
  `address_country` varchar(64) default NULL,
  `address_zip` varchar(64) NOT NULL,
  `address_prefecture` varchar(64) NOT NULL,
  `address_city` varchar(64) NOT NULL,
  `address_field_1` varchar(64) NOT NULL,
  `address_field_2` varchar(64) default NULL,
  `address_telephone` varchar(64) NOT NULL,
  `address_user_id` int(11) NOT NULL,
  `address_blog_id` int(11) NOT NULL,
  PRIMARY KEY  (`address_id`),
  KEY `address_user_id` (`address_primary`,`address_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_shop_cart`
--

CREATE TABLE IF NOT EXISTS `acms_shop_cart` (
  `cart_session_id` char(32) NOT NULL,
  `cart_data` longtext NOT NULL,
  `cart_blog_id` int(11) NOT NULL,
  UNIQUE KEY `cart_session_id` (`cart_session_id`,`cart_blog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_shop_receipt`
--

CREATE TABLE IF NOT EXISTS `acms_shop_receipt` (
  `receipt_code` char(15) NOT NULL default '10000101-0001',
  `receipt_status` varchar(255) NOT NULL,
  `receipt_payment` varchar(255) NOT NULL,
  `receipt_deliver` varchar(255) NOT NULL,
  `receipt_address` longtext NOT NULL,
  `receipt_total` int(11) NOT NULL,
  `receipt_subtotal` int(11) NOT NULL,
  `receipt_request_date` varchar(255) default NULL,
  `receipt_request_time` varchar(255) default NULL,
  `receipt_request_others` varchar(255) default NULL,
  `receipt_charge_payment` int(11) default NULL,
  `receipt_charge_deliver` int(11) default NULL,
  `receipt_charge_others` int(11) default NULL,
  `receipt_note` longtext,
  `receipt_log` blob,
  `receipt_datetime` datetime NOT NULL default '1000-01-01 00:00:00',
  `receipt_updated_datetime` datetime NOT NULL default '9999-12-31 23:59:59',
  `receipt_user_id` int(11) NOT NULL,
  `receipt_blog_id` int(11) NOT NULL,
  PRIMARY KEY  (`receipt_code`),
  KEY `receipt_user_id` (`receipt_user_id`),
  KEY `receipt_blog_id` (`receipt_blog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_shop_receipt_detail`
--

CREATE TABLE IF NOT EXISTS `acms_shop_receipt_detail` (
  `receipt_detail_id` int(11) NOT NULL,
  `receipt_detail_name` varchar(255) NOT NULL,
  `receipt_detail_price` int(11) NOT NULL,
  `receipt_detail_qty` int(11) NOT NULL,
  `receipt_detail_field` longtext,
  `receipt_detail_datetime` datetime NOT NULL default '1000-01-01 00:00:00',
  `receipt_detail_item_id` int(11) NOT NULL,
  `receipt_detail_parent_code` char(14) NOT NULL,
  `receipt_detail_blog_id` int(11) NOT NULL,
  PRIMARY KEY  (`receipt_detail_id`),
  KEY `receipt_detail_parent_code` (`receipt_detail_parent_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_tag`
--

CREATE TABLE IF NOT EXISTS `acms_tag` (
  `tag_name` varchar(255) NOT NULL COMMENT 'タグ名',
  `tag_sort` int(11) NOT NULL COMMENT 'タグの表示順',
  `tag_entry_id` int(11) NOT NULL COMMENT 'エントリーID',
  `tag_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`tag_entry_id`,`tag_sort`),
  KEY `tag_name_entry` (`tag_name`,`tag_entry_id`),
  KEY `tag_blog_id` (`tag_blog_id`,`tag_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_trackback`
--

CREATE TABLE IF NOT EXISTS `acms_trackback` (
  `trackback_id` int(11) NOT NULL COMMENT 'トラックバックID',
  `trackback_status` varchar(16) NOT NULL default 'open' COMMENT 'トラックバックステータス（公開／非公開／承認待ち）',
  `trackback_url` varchar(255) NOT NULL COMMENT 'トラックバック送受信したエントリーのURL',
  `trackback_title` varchar(255) NOT NULL COMMENT 'トラックバックのタイトル',
  `trackback_excerpt` varchar(255) NOT NULL COMMENT 'トラックバックの抜粋',
  `trackback_blog_name` varchar(255) NOT NULL COMMENT 'ブログの名前',
  `trackback_response` varchar(255) NOT NULL COMMENT 'トラックバックに失敗したときの返ってくるメッセージ',
  `trackback_host` varchar(255) NOT NULL COMMENT 'トラックバックのIP',
  `trackback_datetime` datetime NOT NULL default '1000-01-01 00:00:00' COMMENT 'トラックバック送受信時間',
  `trackback_flow` varchar(16) NOT NULL default 'receive' COMMENT 'トラックバックの種類（送信／受信）',
  `trackback_entry_id` int(11) NOT NULL COMMENT 'エントリーID',
  `trackback_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`trackback_entry_id`,`trackback_id`,`trackback_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- テーブルの構造 `acms_user`
--

CREATE TABLE IF NOT EXISTS `acms_user` (
  `user_id` int(11) NOT NULL COMMENT 'ユーザーID',
  `user_code` varchar(64) NOT NULL COMMENT 'ユーザーコード',
  `user_status` varchar(16) NOT NULL default 'open',
  `user_sort` int(11) NOT NULL COMMENT 'ユーザーの表示順',
  `user_name` varchar(255) NOT NULL COMMENT 'ユーザー名',
  `user_pass` char(32) NOT NULL COMMENT 'ユーザーのパスワード',
  `user_pass_reset` varchar(32) NOT NULL,
  `user_mail` varchar(255) NOT NULL COMMENT 'ユーザーのメールアドレス',
  `user_mail_magazine` varchar(8) NOT NULL default 'on' COMMENT 'メールマガジンの受信可否',
  `user_mail_mobile` varchar(255) NOT NULL COMMENT '携帯のメールアドレス',
  `user_mail_mobile_magazine` varchar(8) NOT NULL default 'on' COMMENT 'メールマガジンの受信可否',
  `user_url` varchar(255) NOT NULL COMMENT 'ユーザーのURL',
  `user_auth` varchar(16) NOT NULL default 'contributor' COMMENT '権限',
  `user_indexing` varchar(8) NOT NULL default 'on' COMMENT 'インデキシング',
  `user_login_anywhere` varchar(8) NOT NULL default 'off' COMMENT 'どこでもログイン',
  `user_login_expire` date NOT NULL default '9999-12-31' COMMENT 'ログイン有効期限',
  `user_login_datetime` datetime default NULL COMMENT '最終ログイン日時',
  `user_updated_datetime` datetime NOT NULL default '1000-01-01 00:00:00' COMMENT '最終更新日時',
  `user_generated_datetime` datetime NOT NULL default '1000-01-01 00:00:00' COMMENT '生成日時',
  `user_blog_id` int(11) NOT NULL COMMENT 'ブログID',
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
